---
title: "Read Channel Messages Anonymously"
slug: "read-channel-messages-anonymously"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Channel Messages Anonymously

Get/api/v1/channels.anonymousread

Fetch the messages in a public channel to an anonymous user. You must enable `Accounts_AllowAnonymousRead` [setting](https://docs.rocket.chat/docs/accounts) in the workspace.

### Changelog

| Version | Description |
| --- | --- |
| 1.2.0 | Added |

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='3677aa0e-4533-4055-b3a5-7216b951211e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='160061df-c3a3-4a4c-b8c7-3fb4db0aeb24'>Success</option>
</select>Success

```json
{
  "messages": [
    {
      "_id": "xadufzmxzYQp4H9py",
      "alias": "test",
      "msg": "Example message",
      "attachments": [],
      "parseUrls": true,
      "bot": {
        "i": "MnQyfhWt5LqZotyfc"
      },
      "groupable": false,
      "ts": "2018-10-05T01:10:47.524Z",
      "u": {
        "_id": "rocket.cat",
        "username": "rocket.cat",
        "name": "Rocket.Cat"
      },
      "rid": "GENERAL",
      "_updatedAt": "2018-10-05T13:42:51.163Z",
      "reactions": {
        ":grin:": {
          "usernames": [
            "marco.zoo"
          ]
        }
      },
      "mentions": [],
      "channels": [],
      "starred": {
        "_id": "KPkEYwKKBKZnEEPpt"
      }
    },
    {
      "_id": "id-1538701845987",
      "rid": "GENERAL",
      "msg": "This message was edited via API",
      "alias": "Gruggy",
      "emoji": ":smirk:",
      "avatar": "http://res.guggy.com/logo_128.png",
      "attachments": [
        {
          "collapsed": false,
          "color": "#ff0000",
          "text": "Yay for gruggy!",
          "ts": "2016-12-09T16:53:06.761Z",
          "message_link": "https://google.com",
          "thumb_url": "http://res.guggy.com/logo_128.png",
          "author_name": "Bradley Hilton",
          "author_link": "https://rocket.chat/",
          "author_icon": "https://avatars.githubusercontent.com/u/850391?v=3",
          "title": "Attachment Example",
          "title_link": "https://youtube.com",
          "title_link_download": true,
          "image_url": "http://res.guggy.com/logo_128.png",
          "audio_url": "http://www.w3schools.com/tags/horse.mp3",
          "video_url": "http://www.w3schools.com/tags/movie.mp4",
          "fields": [
            {
              "short": true,
              "title": "Test",
              "value": "Testing out something or other"
            },
            {
              "short": true,
              "title": "Another Test",
              "value": "Link something and this and that."
            }
          ]
        }
      ],
      "ts": "2018-10-05T01:10:45.994Z",
      "u": {
        "_id": "rocketchat.internal.admin.test",
        "username": "rocketchat.internal.admin.test",
        "name": "RocketChat Internal Admin Test"
      },
      "_updatedAt": "2018-10-05T01:10:47.064Z",
      "editedBy": {
        "_id": "rocketchat.internal.admin.test",
        "username": "rocketchat.internal.admin.test"
      },
      "editedAt": "2018-10-05T01:10:46.384Z",
      "reactions": {
        ":smile:": {
          "usernames": [
            "rocketchat.internal.admin.test"
          ]
        },
        ":squid:": {
          "usernames": [
            "rocketchat.internal.admin.test"
          ]
        },
        ":bee:": {
          "usernames": [
            "rocketchat.internal.admin.test"
          ]
        },
        ":ant:": {
          "usernames": [
            "rocketchat.internal.admin.test"
          ]
        }
      },
      "mentions": [],
      "channels": [],
      "urls": []
    }
  ],
  "count": 2,
  "offset": 0,
  "total": 2,
  "success": true
}
```

Expand Allobject  messages Array of object   object  _idstring    
tstring    
msgstring    
groupableboolean    
blocks Array of object   object  typestring    
blockIdstring    
callIdstring    
appIdstring    

tsstring    
uobject  _idstring    
usernamestring    
namestring    

ridstring    
_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  
md Array of object   object  typestring    
value Array of object   object  typestring    
valuestring    

attachments Array of object (Attachment)   object  tsstring    Example1970-01-01T00:00:00.000Z
titlestring    
title_linkstring    
title_link_downloadboolean    
image_dimensionsobject  widthinteger    Example444
heightinteger    Example360

image_previewstring    Example/9j/2wBDAAYEBQ...
image_urlstring    Example/file-upload/PNTaE9SBQasdpAwk2/img_1.jpg
image_typestring    Exampleimage/jpeg
image_sizeinteger    Example26674
typestring    Examplefile
descriptionstring    Example

countinteger    
offsetinteger    
totalinteger    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='7eb21051-5d0d-41be-8252-acedaaded073'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='de51ebd8-4311-49c5-a576-68b282844693'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The required \"roomId\" or \"roomName\" param provided does not match any channel [error-room-not-found]",
  "errorType": "error-room-not-found"
}
```

object  successboolean    
errorstring    
errorTypestring
